import React, { useState, useEffect } from 'react';
import Tooltip from '@rescui/tooltip';
import { InfoIcon } from '@rescui/icons';
import styles from './privacy-notice.module.pcss.js';
import classNames from 'classnames';

const PrivacyNotice = ({
  privacy,
  consentId
}) => {
  const [textHtml, setTextHtml] = useState('');
  useEffect(() => {
    if (consentId) {
      privacy.getConsentOptions(consentId).then(({
        text
      }) => setTextHtml(text));
    }
  }, [consentId]);
  return React.createElement("span", {
    className: styles.privacyNotice
  }, React.createElement("span", {
    className: classNames(styles.message, 'ktl-text-3')
  }, "By submitting this form I agree to the", ' ', React.createElement("a", {
    target: "_blank",
    rel: "noreferrer noopener",
    href: "https://www.jetbrains.com/company/privacy.html",
    className: "rs-link"
  }, "JetBrains Privacy Policy")), textHtml && React.createElement(Tooltip, {
    content: React.createElement("span", {
      dangerouslySetInnerHTML: {
        __html: textHtml
      }
    })
  }, React.createElement(InfoIcon, {
    size: "s",
    className: styles.icon
  })));
};

export { PrivacyNotice };
