import React from 'react';
import { useFormikContext } from 'formik';
import Button from '@rescui/button';

const FormikSubmitButton = ({
  disabled,
  busy,
  ...restProps
}) => {
  const {
    isValid,
    isSubmitting
  } = useFormikContext();
  return React.createElement(Button, Object.assign({}, restProps, {
    disabled: !isValid || disabled,
    busy: isSubmitting || busy,
    type: 'submit'
  }));
};

export { FormikSubmitButton };
