import React__default from 'react';
import { useTheme } from '@rescui/ui-contexts';
import { SocialList } from './social-list/social-list.js';
import { NavList } from './nav/nav-list.js';
import { Logo } from './logo/logo.js';
import classNames from 'classnames';
import styles from './footer.module.pcss.js';
import { useTextStyles } from '@rescui/typography';

const Footer = ({
  forwardedRef,
  className
}) => {
  const textCn = useTextStyles();
  const theme = useTheme();
  const linkClass = textCn('rs-link', {
    hardness: 'pale',
    mode: 'clear'
  });
  return React__default.createElement("footer", {
    className: classNames(styles.footer, className, {
      [styles.footerDarkTheme]: theme === 'dark'
    }),
    ref: forwardedRef
  }, React__default.createElement("div", {
    className: styles.socialListArea
  }, React__default.createElement("div", {
    className: classNames(textCn('rs-h4'), styles.socialListTitle)
  }, "Stay in touch:"), React__default.createElement(SocialList, null)), React__default.createElement(NavList, {
    className: styles.navListArea
  }), React__default.createElement("div", {
    className: classNames(textCn('rs-text-3', {
      hardness: 'pale'
    }), styles.textArea)
  }, React__default.createElement("div", {
    className: styles.copyright
  }, "Kotlin\u2122 is\u00A0protected under the", ' ', React__default.createElement("a", {
    className: classNames(linkClass, styles.underlinedLink),
    href: "https://kotlinlang.org/foundation/kotlin-foundation.html"
  }, "Kotlin\u00A0Foundation"), ' ', "and licensed under the", ' ', React__default.createElement("a", {
    className: classNames(linkClass, styles.underlinedLink),
    target: "_blank",
    href: "https://github.com/JetBrains/kotlin-web-site/blob/master/LICENSE"
  }, "Apache 2\u00A0license"), "."), ' ', React__default.createElement("div", {
    className: styles.motto
  }, "Supported and developed by\u00A0", React__default.createElement("a", {
    className: classNames(linkClass, styles.underlinedLink),
    href: "https://www.jetbrains.com/",
    target: "_blank"
  }, "JetBrains"))), React__default.createElement(Logo, {
    className: styles.logoArea
  }));
};

export { Footer };
