import React__default from 'react';
import { useTheme } from '@rescui/ui-contexts';
import classNames from 'classnames';
import styles from './nav-item.module.pcss.js';
import { useTextStyles } from '@rescui/typography';

const NavItem = ({
  data
}) => {
  const textCn = useTextStyles();
  const theme = useTheme();
  return React__default.createElement("li", {
    className: classNames(styles.navItem, textCn('rs-text-2'), {
      [styles.navItemDarkTheme]: theme == 'dark'
    })
  }, React__default.createElement("a", {
    target: data.isTargetBlank ? '_blank' : undefined,
    href: data.url,
    title: data.title,
    className: classNames(textCn('rs-link', {
      hardness: 'average',
      mode: 'clear'
    }))
  }, data.title));
};

export { NavItem };
