import React__default from 'react';
import { useTheme } from '@rescui/ui-contexts';
import classNames from 'classnames';
import styles from './social-item.module.pcss.js';

const SocialItem = ({
  socialNetwork
}) => {
  const SocialIcon = socialNetwork.icon;
  const theme = useTheme();
  return React__default.createElement("a", {
    target: "_blank",
    className: classNames(styles.socialItem, {
      [styles.socialItemDarkTheme]: theme === 'dark'
    }),
    href: socialNetwork.url,
    title: socialNetwork.title
  }, React__default.createElement(SocialIcon, null));
};

export { SocialItem };
