import React__default, { useState } from 'react';
import Button from '@rescui/button';
import { useTextStyles } from '@rescui/typography';
import classNames from 'classnames';
import styles from './chapters.module.pcss.js';
const MAX_INIT_CHAPTERS_NUMBER = 3;

const Chapters = ({
  chapters,
  hitIndex
}) => {
  const [isExpanded, setIsExpanded] = useState(false);

  const toggleChaptersExpand = () => setIsExpanded(!isExpanded);

  const isExtraSection = index => index >= MAX_INIT_CHAPTERS_NUMBER;

  const textCn = useTextStyles();
  return React__default.createElement(React__default.Fragment, null, React__default.createElement("div", {
    className: styles.chapters
  }, chapters.map(({
    url,
    title,
    snippet,
    hitId: chapterId
  }, index) => React__default.createElement("div", {
    className: classNames(styles.singleChapter, {
      [styles.extraSection]: isExtraSection(index),
      [styles.visibleSection]: isExtraSection(index) && isExpanded
    }),
    key: chapterId
  }, React__default.createElement("h4", {
    className: classNames(textCn('rs-h4'), styles.headliner)
  }, React__default.createElement("a", {
    className: classNames(styles.chapterTitle, textCn('rs-link', {
      mode: 'clear',
      hardness: 'hard'
    })),
    href: url,
    id: chapterId,
    dangerouslySetInnerHTML: {
      __html: title
    }
  })), React__default.createElement("div", {
    className: classNames(textCn('rs-text-2'), styles.chapterSnippet),
    dangerouslySetInnerHTML: {
      __html: snippet
    }
  })))), chapters.length > MAX_INIT_CHAPTERS_NUMBER && React__default.createElement("div", {
    className: styles.moreButton
  }, React__default.createElement(Button, {
    mode: "outline",
    size: "s",
    onClick: toggleChaptersExpand,
    "data-test": "show-more-button"
  }, isExpanded ? 'Show less' : 'Show more')));
};

export { Chapters };
