import React__default from 'react';
import classNames from 'classnames';
import { useTextStyles } from '@rescui/typography';
import SvgFullSearchEmpty from './full-search-empty.svg.js';
import styles from './empty.module.pcss.js';

const FullSearchEmpty = ({
  placeholder
}) => {
  const textCn = useTextStyles();
  return React__default.createElement("div", {
    className: styles.wrapper
  }, React__default.createElement("p", {
    className: classNames(textCn('rs-text-1'), styles.title)
  }, placeholder), React__default.createElement("p", {
    className: textCn('rs-text-1')
  }, "Please, try again!"), React__default.createElement("div", {
    className: styles.image
  }, React__default.createElement(SvgFullSearchEmpty, null)));
};

export { FullSearchEmpty };
