import React__default from 'react';
import { FullSearchLoader } from '../loading/loading.js';
import { FullSearchEmpty } from '../empty/empty.js';
import { HitList } from '../hit-list/hit-list.js';

const ResultsList = ({
  placeholder,
  hits
}) => {
  if (placeholder) {
    return React__default.createElement(FullSearchEmpty, {
      placeholder: placeholder
    });
  }

  if (hits.length) {
    return React__default.createElement(HitList, {
      hits: hits
    });
  }

  return React__default.createElement(FullSearchLoader, null);
};

export { ResultsList };
