import React__default from 'react';
import styles from './logo-large.module.pcss.js';
import SvgKotlinLogoLarge from './kotlin-logo-large.svg.js';
import classNames from 'classnames';
import { useTextStyles } from '@rescui/typography';
import { KOTLINLANG_URL } from '../consts.js';

const LogoLarge = ({
  productWebUrl,
  className
}) => {
  const version = productWebUrl ? getProductVersion(productWebUrl) : null;
  const textCn = useTextStyles();
  return React__default.createElement("div", {
    className: classNames(styles.container, className, textCn('rs-text-3', {
      hardness: 'average'
    }))
  }, React__default.createElement("a", {
    className: styles.link,
    href: KOTLINLANG_URL,
    "aria-label": "Kotlin Home Page"
  }, React__default.createElement(SvgKotlinLogoLarge, null)), version && React__default.createElement("a", {
    className: classNames(styles.versionTag),
    href: productWebUrl,
    target: "_blank"
  }, version));
};

function getProductVersion(productWebUrl) {
  const match = /v?\d+\.\d+\.\d+$/.exec(productWebUrl);
  return match ? match[0] : null;
}

export { LogoLarge };
