import React__default from 'react';
import SvgKotlinLogoSmall from './kotlin-logo-small.svg.js';
import styles from './logo-small.module.pcss.js';
import classNames from 'classnames';
import { useTextStyles } from '@rescui/typography';
import { KOTLINLANG_URL } from '../consts.js';

const LogoSmall = ({
  homeTitle,
  homeUrl,
  className
}) => {
  const textCn = useTextStyles();
  return React__default.createElement("div", {
    className: classNames(styles.logoSmall, className)
  }, React__default.createElement("a", {
    href: KOTLINLANG_URL,
    className: styles.iconWrap
  }, React__default.createElement(SvgKotlinLogoSmall, {
    className: styles.icon
  })), React__default.createElement("a", {
    href: homeUrl,
    className: classNames(styles.link, textCn('rs-h3'))
  }, homeTitle));
};

export { LogoSmall };
