import React__default from 'react';
import styles from './menu-button.module.pcss.js';
import classNames from 'classnames';
import SvgHamburgerIcon from './hamburger-icon.svg.js';
import SvgCloseIcon from './close-icon.svg.js';

const MenuButton = ({
  onClick,
  isExpanded
}) => {
  return React__default.createElement("button", {
    type: "button",
    className: classNames(styles.button),
    "aria-haspopup": "true",
    "aria-label": "Open the navigation",
    onClick: onClick
  }, isExpanded ? React__default.createElement(SvgCloseIcon, null) : React__default.createElement(SvgHamburgerIcon, null));
};

export { MenuButton };
