import React__default from 'react';
import { useTextStyles } from '@rescui/typography';
import styles from './result.module.pcss.js';

const Result = ({
  hit
}) => {
  const textCn = useTextStyles();
  const hitTitle = !hit.mainTitle || hit.title === hit.mainTitle ? hit.highlightedTitle : `${hit.mainTitle}: ${hit.highlightedTitle}`;
  return React__default.createElement("a", {
    className: styles.result,
    href: hit.url
  }, React__default.createElement("div", {
    className: styles.resultTitle
  }, React__default.createElement("div", {
    className: textCn('rs-h4'),
    dangerouslySetInnerHTML: {
      __html: hitTitle
    }
  })), React__default.createElement("div", {
    className: styles.text
  }, React__default.createElement("div", {
    className: textCn('rs-text-3'),
    dangerouslySetInnerHTML: {
      __html: hit.snippet
    }
  })));
};

export { Result };
