import React__default, { useState } from 'react';
import { initSearch } from './init-search.js';
import SearchContext from './search-context.js';
import { QUICK_SEARCH, ALL_RESULTS, EXACT_MATCH } from './search-const.js';
const matchingOptions = [{
  label: ALL_RESULTS.label,
  value: ALL_RESULTS.value
}, {
  label: EXACT_MATCH.label,
  value: EXACT_MATCH.value
}];

const SearchWrapper = ({
  children,
  searchConfig
}) => {
  const {
    search
  } = initSearch(searchConfig);
  const [type, setType] = useState(QUICK_SEARCH);
  const [matching, setMatching] = useState(matchingOptions[0].value);
  const [searchQueryState, setSearchQueryState] = useState(''); // router

  return React__default.createElement(SearchContext.Provider, {
    value: {
      query: '',
      type,
      setType,
      search,
      matching,
      matchingOptions,
      setMatching,
      updateQueryString: () => {},
      searchQueryState,
      setSearchQueryState
    }
  }, children);
};

export { SearchWrapper };
